> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt

# SetWABPhoneNumberInfo

POST https://api.voximplant.com/platform_api/SetWABPhoneNumberInfo

Sets details for the specified WhatsApp Business phone number.

Allowed roles: `Owner`, `Admin`, `Accountant`.

Reference: https://docs.voximplant.ai/api-reference/management-api/reference/wab-phone-numbers/set-wab-phone-number-info

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: management-api
  version: 1.0.0
paths:
  /SetWABPhoneNumberInfo:
    post:
      operationId: set-wab-phone-number-info
      summary: SetWABPhoneNumberInfo
      description: |-
        Sets details for the specified WhatsApp Business phone number.

        Allowed roles: `Owner`, `Admin`, `Accountant`.
      tags:
        - subpackage_wabPhoneNumbers
      parameters:
        - name: wab_phone_number
          in: query
          description: WhatsApp Business phone number to change details for
          required: true
          schema:
            type: string
        - name: voice_password
          in: query
          description: New WhatsApp Business SIP password
          required: false
          schema:
            type: string
        - name: description
          in: query
          description: New WhatsApp Business phone number description
          required: false
          schema:
            type: string
        - name: application_id
          in: query
          description: Bound application ID
          required: false
          schema:
            type: integer
        - name: application_name
          in: query
          description: >-
            Bound application name that can be used instead of
            **application_id**
          required: false
          schema:
            type: string
        - name: rule_id
          in: query
          description: Bound rule ID
          required: false
          schema:
            type: integer
        - name: rule_name
          in: query
          description: Bound rule name that can be used instead of **rule_id**
          required: false
          schema:
            type: string
        - name: Authorization
          in: header
          description: >-
            Voximplant Management API uses signed JWT tokens generated from your
            service-account private key. Pass the token in the `Authorization`
            header as a Bearer value:


            ```

            Authorization: Bearer $VOXIMPLANT_TOKEN

            ```


            See [Authorization](/api-reference/management-api/authorization) for
            ready-to-copy snippets in bash, Python, Node.js and Go that turn
            your `credentials.json` into a token.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/wab-phone-numbers_SetWABPhoneNumberInfo_Response_200
servers:
  - url: https://api.voximplant.com/platform_api
components:
  schemas:
    wab-phone-numbers_SetWABPhoneNumberInfo_Response_200:
      type: object
      properties:
        result:
          type: integer
          description: Returns 1 if the request has been completed successfully
      title: wab-phone-numbers_SetWABPhoneNumberInfo_Response_200
  securitySchemes:
    JwtAuth:
      type: http
      scheme: bearer
      description: >-
        Voximplant Management API uses signed JWT tokens generated from your
        service-account private key. Pass the token in the `Authorization`
        header as a Bearer value:


        ```

        Authorization: Bearer $VOXIMPLANT_TOKEN

        ```


        See [Authorization](/api-reference/management-api/authorization) for
        ready-to-copy snippets in bash, Python, Node.js and Go that turn your
        `credentials.json` into a token.

```

## SDK Code Examples

```python Success
import requests

url = "https://api.voximplant.com/platform_api/SetWABPhoneNumberInfo"

querystring = {"wab_phone_number":"+14155552671","voice_password":"SecurePass123!","description":"Customer support WhatsApp line","application_id":"98765","application_name":"SupportApp","rule_id":"1234","rule_name":"InboundSupportRule"}

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript Success
const url = 'https://api.voximplant.com/platform_api/SetWABPhoneNumberInfo?wab_phone_number=%2B14155552671&voice_password=SecurePass123%21&description=Customer+support+WhatsApp+line&application_id=98765&application_name=SupportApp&rule_id=1234&rule_name=InboundSupportRule';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Success
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.voximplant.com/platform_api/SetWABPhoneNumberInfo?wab_phone_number=%2B14155552671&voice_password=SecurePass123%21&description=Customer+support+WhatsApp+line&application_id=98765&application_name=SupportApp&rule_id=1234&rule_name=InboundSupportRule"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Success
require 'uri'
require 'net/http'

url = URI("https://api.voximplant.com/platform_api/SetWABPhoneNumberInfo?wab_phone_number=%2B14155552671&voice_password=SecurePass123%21&description=Customer+support+WhatsApp+line&application_id=98765&application_name=SupportApp&rule_id=1234&rule_name=InboundSupportRule")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java Success
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.voximplant.com/platform_api/SetWABPhoneNumberInfo?wab_phone_number=%2B14155552671&voice_password=SecurePass123%21&description=Customer+support+WhatsApp+line&application_id=98765&application_name=SupportApp&rule_id=1234&rule_name=InboundSupportRule")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php Success
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.voximplant.com/platform_api/SetWABPhoneNumberInfo?wab_phone_number=%2B14155552671&voice_password=SecurePass123%21&description=Customer+support+WhatsApp+line&application_id=98765&application_name=SupportApp&rule_id=1234&rule_name=InboundSupportRule', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Success
using RestSharp;

var client = new RestClient("https://api.voximplant.com/platform_api/SetWABPhoneNumberInfo?wab_phone_number=%2B14155552671&voice_password=SecurePass123%21&description=Customer+support+WhatsApp+line&application_id=98765&application_name=SupportApp&rule_id=1234&rule_name=InboundSupportRule");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Success
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/SetWABPhoneNumberInfo?wab_phone_number=%2B14155552671&voice_password=SecurePass123%21&description=Customer+support+WhatsApp+line&application_id=98765&application_name=SupportApp&rule_id=1234&rule_name=InboundSupportRule")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```